/******************************************************************************
 * File: palmpix.h 
 * 
 * Copyright (C) 2001 Angus Ainslie <aasoft@netscape.net>
 * 
 * This is a part of a PalmPix Archimage.pdb database decoder
 * 
 *       This program is free software; you can redistribute it and/or modify
 *       it for use in non-commercial products. Any commercial use of this 
 *       code or code derived from this code requires my permission.
 * 
 *       This program is distributed in the hope that it will be useful,
 *       but WITHOUT ANY WARRANTY; without even the implied warranty of
 *       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * 
 *****************************************************************************/

#ifdef __QNXNTO__
#include <_pack1.h>
#else
#pragma pack(1)
#endif

typedef struct pixHdr_tag {
   UInt8 numRec;
   UInt8 s0;		// Always zero
   UInt8 month;
   UInt8 day;
   UInt8 cent;
   UInt8 year;
   UInt8 hour;
   UInt8 min;
   UInt8 sec;
   UInt8 resolution;	// hires 1, lowres 2
   UInt16 w;
   UInt16 h;
   UInt16 thumbLen;	//Size of the thumbnail following the name
   UInt16 GRsize;
   UInt8 sep0;
   UInt16 Rsize;
   UInt8 sep1;
   UInt16 Bsize;
   UInt8 sep2;
   UInt16 GBsize;
   UInt16 pad1;
   UInt16 num;		// hires 1200, lowres 300
   UInt8 resA[14];
   UInt8 zoom;
   UInt16 s1;			// Always 0x0102
   UInt8 resB[32];
   UInt16 dir[58];
} pixHdr_t;

#ifdef __QNXNTO__
#include <_packpop.h>
#else
#pragma pack()
#endif

